org.jboss.resteasy.core.request

## Class AcceptHeaders

- java.lang.Object
- - org.jboss.resteasy.core.request.AcceptHeaders

-     public class AcceptHeaders
      extends Object

  Author:
    Pascal S. de Kloe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptHeaders()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<Locale,QualityValue>` | `getLocaleQualityValues(String header)` Gets the locales from a comma-separated list.
    `static Map<MediaType,QualityValue>` | `getMediaTypeQualityValues(String header)` Gets the media types from a comma-separated list.
    `static Map<String,QualityValue>` | `getStringQualityValues(String header)` Gets the strings from a comma-separated list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptHeaders

          public AcceptHeaders()

  - ### Method Detail

    - #### getStringQualityValues

          public static Map<String,QualityValue> getStringQualityValues(String header)

      Gets the strings from a comma-separated list. All "*" entries are replaced with `null` keys.
      Parameters:
        `header` - the header value.
      Returns:
        the listed items in order of appearance or `null` if the header didn't contain any entries.

    - #### getLocaleQualityValues

          public static Map<Locale,QualityValue> getLocaleQualityValues(String header)

      Gets the locales from a comma-separated list. Any "*" entries are replaced with `null` keys.
      Parameters:
        `header` - the header value.
      Returns:
        the listed items in order of appearance or `null` if the header didn't contain any entries.

    - #### getMediaTypeQualityValues

          public static Map<MediaType,QualityValue> getMediaTypeQualityValues(String header)

      Gets the media types from a comma-separated list.
      Parameters:
        `header` - the header value.
      Returns:
        the listed items in order of appearance or `null` if the header didn't contain any entries.

Copyright © 2014. All Rights Reserved.